Bug 317118 - krunner does not show all available actions for a contact
Summary: krunner does not show all available actions for a contact
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contact-runner (show other bugs)
Version: git-latest
Platform: Other Linux
: NOR normal
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 09:49 UTC by Alin M Elena
Modified: 2013-03-25 09:14 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alin M Elena 2013-03-21 09:49:12 UTC
krunner does not show all available actions for a contact.
for example I have contacts in the list that support audio/video in contact list.. but not in krunner.



Reproducible: Always
Comment 1 Daniel Vrátil 2013-03-25 09:14:58 UTC
Git commit 2d50245a89d92c5bc480afb9be88c26b8f94d719 by Dan Vrátil.
Committed on 25/03/2013 at 10:13.
Pushed by dvratil into branch 'kde-telepathy-0.6'.

Use KTp::Contact to determine contact's capabilities in krunner actions

KRunner now shows "Start audio call" and "Start video call"
actions when contact has such capabilities.

REVIEW: 109698
FIXED-IN: 0.6.0

M  +12   -16   src/contactrunner.cpp

http://commits.kde.org/ktp-contact-runner/2d50245a89d92c5bc480afb9be88c26b8f94d719